from django.contrib import admin

from .models import Calendar


def update_calendar(modeladmin, request, queryset):
    for calendar in queryset:
        calendar.update()


@admin.register(Calendar)
class CalendarAdmin(admin.ModelAdmin):
    list_display = ("name", "url", "needs_fallback", "restricted", "has_errors")
    actions = (update_calendar,)
